POST api/News/addNewsPhotos

Dodanie zdjęcia do Newsa

Request Information

URI Parameters

None.

Body Parameters

model dodania zdjęcia

NewsPhotoModelsToAdd
NazwaOpisTypInformacje dodatkowe
idNews

Identyfikator newsa

integer

Required

linkURL

Link do zdjęcia

string

Max length: 500

source

Zawartość zdjęcia

string

Max length: 2147483647

alterText

Tekst opisu zdjęcia

string

Max length: 100

Default

Zdjęcie domyślne

boolean

None.

Active

Aktywność zdjęcia

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "idNews": 1,
  "linkURL": "sample string 2",
  "source": "sample string 3",
  "alterText": "sample string 4",
  "Default": true,
  "Active": true
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'NewsPhotoModelsToAdd'.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.